#ifndef PAGING_H
#define PAGING_H

#include <idt.h>

#define NPAGES 4096U // FIXME
#define ENTRY_WIDTH 32U
#define PAGE_SIZE 0x1000U

typedef uint32_t page_addr_t;

page_addr_t kalloc_frame();
void paging_init();
void page_fault(registers_t regs);

#endif
